'use strict';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var _require = require('preact'),
    h = _require.h,
    Component = _require.Component;

var _require2 = require('reshape-preact-components'),
    decode = _require2.decode;

var DocsSitemap = function (_Component) {
  _inherits(DocsSitemap, _Component);

  function DocsSitemap() {
    _classCallCheck(this, DocsSitemap);

    return _possibleConstructorReturn(this, (DocsSitemap.__proto__ || Object.getPrototypeOf(DocsSitemap)).apply(this, arguments));
  }

  _createClass(DocsSitemap, [{
    key: 'render',
    value: function render() {
      var data = decode(this.props.data);
      var order = decode(this.props.order);

      return h(
        'div',
        { 'class': 'g-docs-sitemap' },
        order.map(function (section) {
          return h(
            'div',
            { key: section.title, 'class': 'category' },
            h(
              'div',
              { 'class': 'category-title' },
              section.title
            ),
            h(
              'ul',
              { 'class': 'items' },
              section.docs.map(function (doc) {
                var match = data.find(function (datum) {
                  return datum.path === doc;
                });
                return h(
                  'li',
                  { key: match.path || '/', 'class': 'item' },
                  h('a', {
                    href: '/' + match.path,
                    dangerouslySetInnerHTML: {
                      __html: match.data.sidebar_title || match.data.page_title
                    }
                  })
                );
              })
            )
          );
        })
      );
    }
  }]);

  return DocsSitemap;
}(Component);

module.exports = DocsSitemap;
